<?php
/**
 * Add to Cart Button Labels for WooCommerce - Functions
 *
 * @version 1.1.0
 * @since   1.1.0
 * @author  Algoritmika Ltd.
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

if ( ! function_exists( 'alg_wc_atcbl_is_wc_version_below_3' ) ) {
	/**
	 * alg_wc_atcbl_is_wc_version_below_3.
	 *
	 * @version 1.1.0
	 * @since   1.1.0
	 */
	function alg_wc_atcbl_is_wc_version_below_3() {
		return version_compare( get_option( 'woocommerce_version', null ), '3.0.0', '<' );
	}
}

if ( ! function_exists( 'alg_wc_atcbl_get_product_type' ) ) {
	/**
	 * alg_wc_atcbl_get_product_type.
	 *
	 * @version 1.1.0
	 * @since   1.1.0
	 */
	function alg_wc_atcbl_get_product_type( $_product ) {
		return ( alg_wc_atcbl_is_wc_version_below_3() ? $_product->product_type : $_product->get_type() );
	}
}

if ( ! function_exists( 'alg_wc_atcbl_get_product_or_variation_parent_id' ) ) {
	/**
	 * alg_wc_atcbl_get_product_or_variation_parent_id.
	 *
	 * @version 1.1.0
	 * @since   1.1.0
	 * @todo    [dev] (maybe) just product id (i.e. no parent for variation)
	 */
	function alg_wc_atcbl_get_product_or_variation_parent_id( $_product ) {
		return ( alg_wc_atcbl_is_wc_version_below_3() ? $_product->id : ( $_product->is_type( 'variation' ) ? $_product->get_parent_id() : $_product->get_id() ) );
	}
}
