<?php
/**
 * Add to Cart Button Labels for WooCommerce - All Products Core Class
 *
 * @version 1.2.0
 * @since   1.2.0
 * @author  Algoritmika Ltd.
 */

if ( ! defined( 'ABSPATH' ) ) exit;

if ( ! class_exists( 'Alg_WC_Add_To_Cart_Button_Labels_All_Products' ) ) :

class Alg_WC_Add_To_Cart_Button_Labels_All_Products {

	/**
	 * Constructor.
	 *
	 * @version 1.2.0
	 * @since   1.2.0
	 */
	function __construct() {
		if ( 'yes' === get_option( 'alg_wc_add_to_cart_button_labels_all_products_enabled', 'no' ) ) {
			add_filter( 'woocommerce_product_single_add_to_cart_text', array( $this, 'change_add_to_cart_button_text_single' ),  PHP_INT_MAX );
			add_filter( 'woocommerce_product_add_to_cart_text',        array( $this, 'change_add_to_cart_button_text_archive' ), PHP_INT_MAX );
		}
	}

	/**
	 * change_add_to_cart_button_text_single.
	 *
	 * @version 1.2.0
	 * @since   1.2.0
	 */
	function change_add_to_cart_button_text_single( $add_to_cart_text ) {
		return $this->change_add_to_cart_button_text( $add_to_cart_text, 'single' );
	}

	/**
	 * change_add_to_cart_button_text_archive.
	 *
	 * @version 1.2.0
	 * @since   1.2.0
	 */
	function change_add_to_cart_button_text_archive( $add_to_cart_text ) {
		return $this->change_add_to_cart_button_text( $add_to_cart_text, 'archive' );
	}

	/**
	 * change_add_to_cart_button_text.
	 *
	 * @version 1.2.0
	 * @since   1.2.0
	 */
	function change_add_to_cart_button_text( $add_to_cart_text, $single_or_archive ) {
		return ( '' != ( $label = get_option( 'alg_wc_add_to_cart_button_labels_all_products_' . $single_or_archive, '' ) ) ? $label : $add_to_cart_text );
	}

}

endif;

return new Alg_WC_Add_To_Cart_Button_Labels_All_Products();
