<?php
/**
 * Add to Cart Button Labels for WooCommerce - Core Class
 *
 * @version 1.2.0
 * @since   1.0.0
 * @author  Algoritmika Ltd.
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

if ( ! class_exists( 'Alg_WC_Add_To_Cart_Button_Labels_Core' ) ) :

class Alg_WC_Add_To_Cart_Button_Labels_Core {

	/**
	 * Constructor.
	 *
	 * @version 1.2.0
	 * @since   1.0.0
	 * @todo    [dev] move all `_enabled` options here (or even merge all files into single file)
	 * @todo    [dev] `wpml-config.xml`
	 * @todo    [dev] store settings as serialized values
	 * @todo    [feature] replaced values in labels (e.g. stock, logged customer name etc.)
	 * @todo    [feature] enable shortcodes in labels (e.g. wpml etc.)
	 * @todo    [feature] labels per user role
	 * @todo    [feature] labels per tag
	 * @todo    [feature] (maybe) labels by location
	 * @todo    [feature] (maybe) labels by time
	 */
	function __construct() {
		if ( 'yes' === get_option( 'alg_wc_add_to_cart_button_labels_enabled', 'yes' ) ) {
			$this->all_products       = require_once( 'class-alg-wc-add-to-cart-button-labels-all-products.php' );
			$this->per_product_type   = require_once( 'class-alg-wc-add-to-cart-button-labels-per-product-type.php' );
			$this->per_category       = require_once( 'class-alg-wc-add-to-cart-button-labels-per-category.php' );
			$this->per_product        = require_once( 'class-alg-wc-add-to-cart-button-labels-per-product.php' );
		}
	}

}

endif;

return new Alg_WC_Add_To_Cart_Button_Labels_Core();
