<?php
/**
 * Add to Cart Button Labels for WooCommerce - All Products Section Settings
 *
 * @version 1.2.0
 * @since   1.2.0
 * @author  Algoritmika Ltd.
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

if ( ! class_exists( 'Alg_WC_Add_To_Cart_Button_Labels_Settings_All_Products' ) ) :

class Alg_WC_Add_To_Cart_Button_Labels_Settings_All_Products extends Alg_WC_Add_To_Cart_Button_Labels_Settings_Section {

	/**
	 * Constructor.
	 *
	 * @version 1.2.0
	 * @since   1.2.0
	 */
	function __construct() {
		$this->id   = 'all_products';
		$this->desc = __( 'All Products', 'add-to-cart-button-labels-for-woocommerce' );
		parent::__construct();
	}

	/**
	 * get_settings.
	 *
	 * @version 1.2.0
	 * @since   1.2.0
	 */
	function get_settings() {
		return array(
			array(
				'title'    => __( 'All Products Options', 'add-to-cart-button-labels-for-woocommerce' ),
				'type'     => 'title',
				'desc'     => __( 'This section lets you set Add to Cart button text for all products at once.', 'add-to-cart-button-labels-for-woocommerce' ),
				'id'       => 'alg_wc_add_to_cart_button_labels_all_products_options',
			),
			array(
				'title'    => __( 'All Products Labels', 'add-to-cart-button-labels-for-woocommerce' ),
				'desc'     => '<strong>' . __( 'Enable section', 'add-to-cart-button-labels-for-woocommerce' ) . '</strong>',
				'id'       => 'alg_wc_add_to_cart_button_labels_all_products_enabled',
				'default'  => 'no',
				'type'     => 'checkbox',
			),
			array(
				'title'    => __( 'Single product view', 'add-to-cart-button-labels-for-woocommerce' ),
				'desc_tip' => __( 'Ignored if empty.', 'add-to-cart-button-labels-for-woocommerce' ),
				'id'       => 'alg_wc_add_to_cart_button_labels_all_products_' . 'single',
				'default'  => '',
				'type'     => 'text',
				'css'      => 'width:100%;',
				'alg_wc_atcbl_raw' => true,
			),
			array(
				'title'    => __( 'Product category (archive) view', 'add-to-cart-button-labels-for-woocommerce' ),
				'desc_tip' => __( 'Ignored if empty.', 'add-to-cart-button-labels-for-woocommerce' ),
				'id'       => 'alg_wc_add_to_cart_button_labels_all_products_' . 'archive',
				'default'  => '',
				'type'     => 'text',
				'css'      => 'width:100%;',
				'alg_wc_atcbl_raw' => true,
			),
			array(
				'type'     => 'sectionend',
				'id'       => 'alg_wc_add_to_cart_button_labels_all_products_options',
			),
		);
	}

}

endif;

return new Alg_WC_Add_To_Cart_Button_Labels_Settings_All_Products();
