<?php
/**
 * Add to Cart Button Labels for WooCommerce - General Section Settings
 *
 * @version 1.2.1
 * @since   1.0.0
 * @author  Algoritmika Ltd.
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

if ( ! class_exists( 'Alg_WC_Add_To_Cart_Button_Labels_Settings_General' ) ) :

class Alg_WC_Add_To_Cart_Button_Labels_Settings_General extends Alg_WC_Add_To_Cart_Button_Labels_Settings_Section {

	/**
	 * Constructor.
	 *
	 * @version 1.0.0
	 * @since   1.0.0
	 */
	function __construct() {
		$this->id   = '';
		$this->desc = __( 'General', 'add-to-cart-button-labels-for-woocommerce' );
		parent::__construct();
	}

	/**
	 * get_settings.
	 *
	 * @version 1.2.1
	 * @since   1.0.0
	 */
	function get_settings() {
		$settings_links = array(
			'all_products'     => __( 'All Products', 'add-to-cart-button-labels-for-woocommerce' ),
			'per_product_type' => __( 'Per Product Type & Condition', 'add-to-cart-button-labels-for-woocommerce' ),
			'per_category'     => __( 'Per Category', 'add-to-cart-button-labels-for-woocommerce' ),
			'per_product'      => __( 'Per Product', 'add-to-cart-button-labels-for-woocommerce' ),
		);
		$settings_links_html = array();
		foreach ( $settings_links as $link_id => $link_title ) {
			$settings_links_html[] = '<a href="' . add_query_arg( 'section', $link_id ) . '">' . $link_title . '</a>';
		}
		$settings_links_html = sprintf( __( 'Settings: %s.', 'add-to-cart-button-labels-for-woocommerce' ), implode( ', ', $settings_links_html ) );
		$settings = array(
			array(
				'title'    => __( 'Add to Cart Button Labels Options', 'add-to-cart-button-labels-for-woocommerce' ),
				'type'     => 'title',
				'id'       => 'alg_wc_add_to_cart_button_labels_options',
				'desc'     => sprintf( __( 'For more information, please visit the %s.', 'add-to-cart-button-labels-for-woocommerce' ),
					'<a target="_blank" href="' . 'https://wpfactory.com/item/add-to-cart-button-labels-woocommerce/' . '">' .
						__( 'plugin page', 'add-to-cart-button-labels-for-woocommerce' ) . '</a>' ),
			),
			array(
				'title'    => __( 'Add to Cart Button Labels', 'add-to-cart-button-labels-for-woocommerce' ),
				'desc'     => '<strong>' . __( 'Enable plugin', 'add-to-cart-button-labels-for-woocommerce' ) . '</strong>',
				'desc_tip' => $settings_links_html,
				'id'       => 'alg_wc_add_to_cart_button_labels_enabled',
				'default'  => 'yes',
				'type'     => 'checkbox',
			),
			array(
				'type'     => 'sectionend',
				'id'       => 'alg_wc_add_to_cart_button_labels_options',
			),
		);
		return $settings;
	}

}

endif;

return new Alg_WC_Add_To_Cart_Button_Labels_Settings_General();
